/**
    compile with:
        mingw32-gcc -Wall -g -IC:\MinGW\include\poppler  -c main.cpp -o test.exe   -lpoppler

*/

#include <stdio.h>
#include <stdlib.h>
#include <PDFDoc.h>
#include <GlobalParams.h>


int main(int argc, char** argv)
{
    const char* f_in = "test_in.pdf";
    const char* f_out= "test_out.pdf";

    GooString gf_in(f_in);
    GooString gf_out(f_out);
    globalParams = new GlobalParams();
    PDFDoc * doc = new PDFDoc(&gf_in);
    int i_annots=0;
    if ( doc->isOk() )
    {
        int i_pages = doc->getNumPages();
        for ( int i_page = 1; i_page <= i_pages; i_page++ )
        {
            Page * page = doc->getPage(i_page);
            if( page )
            {
                int n_annots = page->getAnnots()->getNumAnnots();
                for(int i=0; i<n_annots; i++)
                {
                    i_annots++;
                    page->removeAnnot(page->getAnnots()->getAnnot(i));
                }
            }
        }
        doc->saveAs(&gf_out,writeForceRewrite);
        delete doc;
    }
    else
    {
        fprintf(stderr, "error when opening '%s'\n", f_in);
    }
    delete globalParams;

    printf("Removed annotations: %d", i_annots);

    return 0;
}
